# You can add extra paths to look modules from by setting PYTHONPATH:
# export PYTHONPATH=/opt/gnome/lib/python2.4:/opt/gnome/lib/python2.4/site-packages
#
# However, that doesn't work with subdirectories under site-packages,
# and thus breaks e.g. PyGTK if installed to /opt/gnome. You would need
# to add every subdirectory under site-packages to PYTHONPATH too!
#
# This patch makes Python to automatically look from directories under 
# /opt/*/lib/python$VERSION. You no longer need to set PYTHONPATH.
#
# Written but not copyrighted by Larhzu.
# Thanks to Zedaqious and domen for help.

--- Python-2.4.3/Lib/site.py.orig	2004-07-20 05:28:28.000000000 +0300
+++ Python-2.4.3/Lib/site.py	2006-12-19 18:57:17.000000000 +0200
@@ -173,6 +173,8 @@
     prefixes = [sys.prefix]
     if sys.exec_prefix != sys.prefix:
         prefixes.append(sys.exec_prefix)
+    import glob
+    prefixes.extend(glob.glob('/opt/*'))
     for prefix in prefixes:
         if prefix:
             if sys.platform in ('os2emx', 'riscos'):
